item_test 1.0.1+6

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  item_test: ^1.0.1+6

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:item_test/domains/com/alibaba/idlefish/content/item_error_code.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/address_info.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_ext.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/net_item_req.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_list_res.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_req_ext.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/image_info.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_req.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_res.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/user_info.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_type.dart';
import 'package:item_test/interfaces/com_alibaba_idlefish_service/item_test.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
0
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
0
Overall:
Weighted score of the above. [more]
0
Learn more about scoring.

We analyzed this package on Jul 9, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.8.4
  • pana: 0.13.13

Health issues and suggestions

Fix lib/interfaces/com_alibaba_idlefish_service/item_test.dart. (-100 points)

Analysis of lib/interfaces/com_alibaba_idlefish_service/item_test.dart failed with 156 errors, 60 hints, including:

line 3 col 8: Target of URI doesn't exist: 'package:saker/framework/hsf/hsf_object_base.dart'.

line 4 col 8: Target of URI doesn't exist: 'package:saker/framework/jproxy/proxy_rpc_base.dart'.

line 15 col 112: The default value of an optional parameter must be constant.

line 15 col 112: Undefined name 'defaultRpcTimeOut'.

line 17 col 30: The method 'makePairJson' isn't defined for the type 'ItemTest'.

Fix lib/domains/com/alibaba/idlefish/content/user_info.dart. (-99.94 points)

Analysis of lib/domains/com/alibaba/idlefish/content/user_info.dart failed with 26 errors, 3 hints, including:

line 1 col 8: Target of URI doesn't exist: 'package:saker/framework/hsf/hsf_object_base.dart'.

line 3 col 27: Classes and mixins can only implement other classes and mixins.

line 3 col 27: Undefined class 'DObjectBase'.

line 42 col 60: The name 'generic_new_func' isn't a type so it can't be used as a type argument.

line 44 col 21: Undefined name 'JsonUtil'.

Fix lib/domains/com/alibaba/idlefish/content/item_info.dart. (-99.90 points)

Analysis of lib/domains/com/alibaba/idlefish/content/item_info.dart failed with 24 errors, 6 hints, including:

line 1 col 8: Target of URI doesn't exist: 'package:saker/framework/hsf/hsf_object_base.dart'.

line 6 col 27: Classes and mixins can only implement other classes and mixins.

line 6 col 27: Undefined class 'DObjectBase'.

line 29 col 60: The name 'generic_new_func' isn't a type so it can't be used as a type argument.

line 32 col 18: Undefined name 'JsonUtil'.

Fix additional 10 files with analysis or formatting issues. (-933.31 points)

Additional issues in the following files:

  • lib/domains/com/alibaba/idlefish/content/item_info_list_res.dart (20 errors, 8 hints)
  • lib/domains/com/alibaba/idlefish/content/address_info.dart (18 errors, 3 hints)
  • lib/domains/com/alibaba/idlefish/content/item_info_res.dart (14 errors, 4 hints)
  • lib/domains/com/alibaba/idlefish/content/image_info.dart (14 errors, 3 hints)
  • lib/domains/com/alibaba/idlefish/content/net_item_req.dart (12 errors, 5 hints)
  • lib/domains/com/alibaba/idlefish/content/item_info_req_ext.dart (12 errors, 4 hints)
  • lib/domains/com/alibaba/idlefish/content/item_info_req.dart (10 errors, 4 hints)
  • lib/domains/com/alibaba/idlefish/content/item_info_ext.dart (8 errors)
  • lib/domains/com/alibaba/idlefish/content/item_error_code.dart (5 errors, 109 hints)
  • lib/domains/com/alibaba/idlefish/content/item_type.dart (5 errors, 8 hints)

Document public APIs. (-1 points)

477 out of 477 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Maintenance issues and suggestions

No valid SDK. (-20 points)

The analysis could not detect a valid SDK that can use this package.

Provide a file named README.md. (-30 points)

The README.md file should inform others about your project, what it does, and how they can use it. See the example generated by stagehand.

Provide a file named CHANGELOG.md. (-20 points)

Changelog entries help developers follow the progress of your package. See the example generated by stagehand.

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and item_test.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
dart_jproxy ^1.0.3+1 1.0.3+2
saker ^1.0.0 1.1.2-dev+16
Transitive dependencies
analyzer 0.34.3 0.39.12
args 1.6.0
async 2.4.2
charcode 1.1.3
collection 1.14.13 1.15.0-nnbd
convert 2.1.1
crclib 1.0.1
crypto 2.1.5
csslib 0.16.1
front_end 0.1.9+1 0.1.29
glob 1.2.0
html 0.14.0+3
http_parser 3.1.4
js 0.6.2
kernel 0.3.9+1 0.3.29
matcher 0.12.8
meta 1.2.1
node_interop 1.1.1
node_io 1.1.1
package_config 1.9.3
path 1.7.0
pedantic 1.9.1
plugin 0.2.0+3
pub_semver 1.4.4
quiver 2.1.3
source_span 1.7.0
stack_trace 1.9.5
string_scanner 1.0.5
term_glyph 1.1.0
tuple 1.0.3
typed_data 1.2.0 1.3.0-nnbd
watcher 0.9.7+15
yaml 2.2.1